- Request
- Responses
- 200 OK
- Body
- Timestamp
- DataCatalogLinkedTag
- DataCatalogLinkedEntity
- DataCatalogAssetKey
- DataCatalogAssetType
- DataCatalogAssetConsoleView
- DataCatalogDataStoreConsoleView
- DataCatalogDomainConsoleView
- DataCatalogTagConsoleView
- DataCatalogGlossaryConsoleView
- DataCatalogClassificationConsoleView
- DataCatalogTermConsoleView
- DataCatalogQueryView
- DataCatalogDetailedSearchResult
🚧 [Experimental] Search objects
Searches objects by name and type.
Request
POST
https://api.datalens.tech/rpc/searchObjects
Headers
|
Name |
Description |
|
x-dl-api-version |
Type: string API version header. Const: Example: |
Body
application/json
{
"query": "example",
"objectType": "rest-catalog",
"pageSize": 1,
"pageToken": "example"
}
|
Name |
Description |
|
query |
Type: string Object name to search for. Min length: Example: |
|
objectType |
Type: string Object type to search for. Enum: |
|
pageSize |
Type: integer Maximum number of results. Min value: Max value: |
|
pageToken |
Type: string nextPageToken from the previous response. Example: |
Responses
200 OK
Response
Body
application/json
{
"results": [
{
"childrenCount": "example",
"detailedObject": "asset",
"asset": {}
}
],
"nextPageToken": "example",
"searchId": "example"
}
|
Name |
Description |
|
nextPageToken |
Type: string Example: |
|
results |
Type: DataCatalogDetailedSearchResult[] Example
|
|
searchId |
Type: string Example: |
Timestamp
Type: object | null
Example
{
"seconds": "example",
"nanos": 0.5
}
DataCatalogLinkedTag
|
Name |
Description |
|
id |
Type: string Example: |
|
isAiLinked |
Type: boolean |
|
isDspm |
Type: boolean |
|
name |
Type: string Example: |
Example
{
"id": "example",
"name": "example",
"isAiLinked": true,
"isDspm": true
}
DataCatalogLinkedEntity
|
Name |
Description |
|
id |
Type: string Example: |
|
isAiLinked |
Type: boolean |
|
name |
Type: string Example: |
Example
{
"id": "example",
"name": "example",
"isAiLinked": true
}
DataCatalogAssetKey
Type: object | null
Example
{
"urn": "example",
"name": "example"
}
DataCatalogAssetType
Type: object | null
Example
{
"type": "example",
"name": "example"
}
DataCatalogAssetConsoleView
Any of 2 types
-
Type: object
assetTypeSpecificInfo
Type: string
Const:
queryExample:
examplecreatedAt
Type: Timestamp
Example
{ "seconds": "example", "nanos": 0.5 }datacatalogId
Type: string
Example:
exampledescription
Type: string
Example:
exampledocumetation
Type: string
Object documentation; field name follows Data Catalog API.
Example:
exampledomain
All of 2 types
-
Type: DataCatalogLinkedEntity
Example
{ "id": "example", "name": "example", "isAiLinked": true } -
Type: object | null
Example
{}
Example
{ "id": "example", "name": "example", "isAiLinked": true }ingestionIds
Type: string[]
Example
[ "example" ]ingestionSourceIds
Type: string[]
Example
[ "example" ]isDocumentationAiGenerated
Type: boolean
lastIngestionAt
Type: Timestamp
Example
{ "seconds": "example", "nanos": 0.5 }majorVersion
Type: string
Example:
exampleminorVersion
Type: string
Example:
examplename
Type: string
Example:
exampleparent
Type: DataCatalogAssetKey
Example
{ "urn": "example", "name": "example" }path
Type: array
All of 2 types
-
Type: DataCatalogAssetKey
Example
{ "urn": "example", "name": "example" } -
Type: object
Example
{}
Example
[ { "urn": "example", "name": "example" } ]payload
Type: string
Service-specific object payload, as returned by Data Catalog.
Example:
examplequery
Type: object
isPublished
Type: boolean
language
Type: string
Example:
exampletext
Type: string
Example:
exampleExample
{ "text": "example", "language": "example", "isPublished": true }service
Type: string
Example:
examplesubTypes
Type: array
All of 2 types
-
Type: DataCatalogAssetType
Example
{ "type": "example", "name": "example" } -
Type: object
Example
{}
Example
[ { "type": "example", "name": "example" } ]tags
Type: DataCatalogLinkedTag[]
Example
[ { "id": "example", "name": "example", "isAiLinked": true, "isDspm": true } ]termins
Type: DataCatalogLinkedEntity[]
Example
[ { "id": "example", "name": "example", "isAiLinked": true } ]type
Type: DataCatalogAssetType
Example
{ "type": "example", "name": "example" }updatedAt
Type: Timestamp
Example
{ "seconds": "example", "nanos": 0.5 }urn
Type: string
Example:
exampleExample
{ "datacatalogId": "example", "name": "example", "createdAt": { "seconds": "example", "nanos": 0.5 }, "updatedAt": null, "urn": "example", "description": "example", "documetation": "example", "tags": [ { "id": "example", "name": "example", "isAiLinked": true, "isDspm": true } ], "termins": [ { "id": "example", "name": "example", "isAiLinked": true } ], "domain": null, "service": "example", "isDocumentationAiGenerated": true, "parent": { "urn": "example", "name": "example" }, "path": [ null ], "type": { "type": "example", "name": "example" }, "payload": "example", "majorVersion": "example", "minorVersion": "example", "ingestionIds": [ "example" ], "ingestionSourceIds": [ "example" ], "lastIngestionAt": null, "subTypes": [ null ], "assetTypeSpecificInfo": "query", "query": { "text": "example", "language": "example", "isPublished": true } } -
-
Type: object
createdAt
Type: Timestamp
Example
{ "seconds": "example", "nanos": 0.5 }datacatalogId
Type: string
Example:
exampledescription
Type: string
Example:
exampledocumetation
Type: string
Object documentation; field name follows Data Catalog API.
Example:
exampledomain
All of 2 types
-
Type: DataCatalogLinkedEntity
Example
{ "id": "example", "name": "example", "isAiLinked": true } -
Type: object | null
Example
{}
Example
{ "id": "example", "name": "example", "isAiLinked": true }ingestionIds
Type: string[]
Example
[ "example" ]ingestionSourceIds
Type: string[]
Example
[ "example" ]isDocumentationAiGenerated
Type: boolean
lastIngestionAt
Type: Timestamp
Example
{ "seconds": "example", "nanos": 0.5 }majorVersion
Type: string
Example:
exampleminorVersion
Type: string
Example:
examplename
Type: string
Example:
exampleparent
Type: DataCatalogAssetKey
Example
{ "urn": "example", "name": "example" }path
Type: array
All of 2 types
-
Type: DataCatalogAssetKey
Example
{ "urn": "example", "name": "example" } -
Type: object
Example
{}
Example
[ { "urn": "example", "name": "example" } ]payload
Type: string
Service-specific object payload, as returned by Data Catalog.
Example:
exampleservice
Type: string
Example:
examplesubTypes
Type: array
All of 2 types
-
Type: DataCatalogAssetType
Example
{ "type": "example", "name": "example" } -
Type: object
Example
{}
Example
[ { "type": "example", "name": "example" } ]tags
Type: DataCatalogLinkedTag[]
Example
[ { "id": "example", "name": "example", "isAiLinked": true, "isDspm": true } ]termins
Type: DataCatalogLinkedEntity[]
Example
[ { "id": "example", "name": "example", "isAiLinked": true } ]type
Type: DataCatalogAssetType
Example
{ "type": "example", "name": "example" }updatedAt
Type: Timestamp
Example
{ "seconds": "example", "nanos": 0.5 }urn
Type: string
Example:
exampleExample
{ "datacatalogId": "example", "name": "example", "createdAt": { "seconds": "example", "nanos": 0.5 }, "updatedAt": null, "urn": "example", "description": "example", "documetation": "example", "tags": [ { "id": "example", "name": "example", "isAiLinked": true, "isDspm": true } ], "termins": [ { "id": "example", "name": "example", "isAiLinked": true } ], "domain": null, "service": "example", "isDocumentationAiGenerated": true, "parent": { "urn": "example", "name": "example" }, "path": [ null ], "type": { "type": "example", "name": "example" }, "payload": "example", "majorVersion": "example", "minorVersion": "example", "ingestionIds": [ "example" ], "ingestionSourceIds": [ "example" ], "lastIngestionAt": null, "subTypes": [ null ] } -
Example
{
"datacatalogId": "example",
"name": "example",
"createdAt": {
"seconds": "example",
"nanos": 0.5
},
"updatedAt": null,
"urn": "example",
"description": "example",
"documetation": "example",
"tags": [
{
"id": "example",
"name": "example",
"isAiLinked": true,
"isDspm": true
}
],
"termins": [
{
"id": "example",
"name": "example",
"isAiLinked": true
}
],
"domain": null,
"service": "example",
"isDocumentationAiGenerated": true,
"parent": {
"urn": "example",
"name": "example"
},
"path": [
null
],
"type": {
"type": "example",
"name": "example"
},
"payload": "example",
"majorVersion": "example",
"minorVersion": "example",
"ingestionIds": [
"example"
],
"ingestionSourceIds": [
"example"
],
"lastIngestionAt": null,
"subTypes": [
null
],
"assetTypeSpecificInfo": "query",
"query": {
"text": "example",
"language": "example",
"isPublished": true
}
}
DataCatalogDataStoreConsoleView
|
Name |
Description |
||||||||||||||||||||||||||
|
cluster |
Any of 4 types
Example
|
||||||||||||||||||||||||||
|
createdAt |
Type: Timestamp Example
|
||||||||||||||||||||||||||
|
datacatalogId |
Type: string Example: |
||||||||||||||||||||||||||
|
domain |
All of 2 types
Example
|
||||||||||||||||||||||||||
|
id |
Type: string Example: |
||||||||||||||||||||||||||
|
ingestedDescription |
Type: string Example: |
||||||||||||||||||||||||||
|
ingestionCount |
Type: string Example: |
||||||||||||||||||||||||||
|
ingestionSourceCount |
Type: string Example: |
||||||||||||||||||||||||||
|
isDocumentationAiGenerated |
Type: boolean |
||||||||||||||||||||||||||
|
name |
Type: string Example: |
||||||||||||||||||||||||||
|
tags |
Type: DataCatalogLinkedTag[] Example
|
||||||||||||||||||||||||||
|
termins |
Type: DataCatalogLinkedEntity[] Example
|
||||||||||||||||||||||||||
|
updatedAt |
Type: Timestamp Example
|
||||||||||||||||||||||||||
|
userDefinedDescription |
Type: string Example: |
Example
{
"datacatalogId": "example",
"name": "example",
"createdAt": {
"seconds": "example",
"nanos": 0.5
},
"updatedAt": null,
"id": "example",
"ingestedDescription": "example",
"userDefinedDescription": "example",
"cluster": {
"installationType": "INSTALLATION_TYPE_UNSPECIFIED",
"dbType": "DB_TYPE_UNSPECIFIED",
"info": "clusterId",
"clusterId": "example"
},
"ingestionSourceCount": "example",
"ingestionCount": "example",
"tags": [
{
"id": "example",
"name": "example",
"isAiLinked": true,
"isDspm": true
}
],
"termins": [
{
"id": "example",
"name": "example",
"isAiLinked": true
}
],
"domain": null,
"isDocumentationAiGenerated": true
}
DataCatalogDomainConsoleView
|
Name |
Description |
|
aiGenerated |
Type: boolean |
|
assetsCount |
Type: string Example: |
|
createdAt |
Type: Timestamp Example
|
|
createdBy |
Type: string Example: |
|
datacatalogId |
Type: string Example: |
|
description |
Type: string Example: |
|
id |
Type: string Example: |
|
name |
Type: string Example: |
|
parentDomainId |
Type: string Example: |
|
rules |
Type: string Example: |
|
subdomainsCount |
Type: string Example: |
|
tags |
Type: DataCatalogLinkedTag[] Example
|
|
updatedAt |
Type: Timestamp Example
|
Example
{
"datacatalogId": "example",
"name": "example",
"createdAt": {
"seconds": "example",
"nanos": 0.5
},
"updatedAt": null,
"id": "example",
"description": "example",
"createdBy": "example",
"assetsCount": "example",
"aiGenerated": true,
"rules": "example",
"parentDomainId": "example",
"subdomainsCount": "example",
"tags": [
{
"id": "example",
"name": "example",
"isAiLinked": true,
"isDspm": true
}
]
}
DataCatalogTagConsoleView
|
Name |
Description |
|
aiGenerated |
Type: boolean |
|
assetsCount |
Type: string Example: |
|
classificationId |
Type: string Example: |
|
createdAt |
Type: Timestamp Example
|
|
createdBy |
Type: string Example: |
|
datacatalogId |
Type: string Example: |
|
description |
Type: string Example: |
|
id |
Type: string Example: |
|
isDspm |
Type: boolean |
|
name |
Type: string Example: |
|
rules |
Type: string Example: |
|
updatedAt |
Type: Timestamp Example
|
Example
{
"datacatalogId": "example",
"name": "example",
"createdAt": {
"seconds": "example",
"nanos": 0.5
},
"updatedAt": null,
"id": "example",
"description": "example",
"createdBy": "example",
"assetsCount": "example",
"aiGenerated": true,
"rules": "example",
"classificationId": "example",
"isDspm": true
}
DataCatalogGlossaryConsoleView
|
Name |
Description |
|
aiGenerated |
Type: boolean |
|
assetsCount |
Type: string Example: |
|
createdAt |
Type: Timestamp Example
|
|
createdBy |
Type: string Example: |
|
datacatalogId |
Type: string Example: |
|
description |
Type: string Example: |
|
id |
Type: string Example: |
|
name |
Type: string Example: |
|
rules |
Type: string Example: |
|
tags |
Type: DataCatalogLinkedTag[] Example
|
|
termsCount |
Type: string Example: |
|
updatedAt |
Type: Timestamp Example
|
Example
{
"datacatalogId": "example",
"name": "example",
"createdAt": {
"seconds": "example",
"nanos": 0.5
},
"updatedAt": null,
"id": "example",
"description": "example",
"createdBy": "example",
"assetsCount": "example",
"aiGenerated": true,
"rules": "example",
"tags": [
{
"id": "example",
"name": "example",
"isAiLinked": true,
"isDspm": true
}
],
"termsCount": "example"
}
DataCatalogClassificationConsoleView
|
Name |
Description |
|
aiGenerated |
Type: boolean |
|
assetsCount |
Type: string Example: |
|
createdAt |
Type: Timestamp Example
|
|
createdBy |
Type: string Example: |
|
datacatalogId |
Type: string Example: |
|
description |
Type: string Example: |
|
id |
Type: string Example: |
|
mutualExclusion |
Type: boolean |
|
name |
Type: string Example: |
|
rules |
Type: string Example: |
|
tagsCount |
Type: string Example: |
|
updatedAt |
Type: Timestamp Example
|
Example
{
"datacatalogId": "example",
"name": "example",
"createdAt": {
"seconds": "example",
"nanos": 0.5
},
"updatedAt": null,
"id": "example",
"description": "example",
"createdBy": "example",
"assetsCount": "example",
"aiGenerated": true,
"rules": "example",
"mutualExclusion": true,
"tagsCount": "example"
}
DataCatalogTermConsoleView
|
Name |
Description |
|
aiGenerated |
Type: boolean |
|
assetsCount |
Type: string Example: |
|
childCount |
Type: string Example: |
|
connectedTerms |
Type: DataCatalogLinkedEntity[] Example
|
|
createdAt |
Type: Timestamp Example
|
|
createdBy |
Type: string Example: |
|
datacatalogId |
Type: string Example: |
|
description |
Type: string Example: |
|
glossaryId |
Type: string Example: |
|
id |
Type: string Example: |
|
name |
Type: string Example: |
|
parentTermId |
Type: string Example: |
|
rules |
Type: string Example: |
|
synonyms |
Type: string[] Example
|
|
tags |
Type: DataCatalogLinkedTag[] Example
|
|
updatedAt |
Type: Timestamp Example
|
Example
{
"datacatalogId": "example",
"name": "example",
"createdAt": {
"seconds": "example",
"nanos": 0.5
},
"updatedAt": null,
"id": "example",
"description": "example",
"createdBy": "example",
"assetsCount": "example",
"aiGenerated": true,
"rules": "example",
"glossaryId": "example",
"parentTermId": "example",
"childCount": "example",
"connectedTerms": [
{
"id": "example",
"name": "example",
"isAiLinked": true
}
],
"synonyms": [
"example"
],
"tags": [
{
"id": "example",
"name": "example",
"isAiLinked": true,
"isDspm": true
}
]
}
DataCatalogQueryView
|
Name |
Description |
|
createdAt |
Type: Timestamp Example
|
|
datacatalogId |
Type: string Example: |
|
description |
Type: string Example: |
|
documetation |
Type: string Object documentation; field name follows Data Catalog API. Example: |
|
domain |
All of 2 types
Example
|
|
isDocumentationAiGenerated |
Type: boolean |
|
isNameAiGenerated |
Type: boolean |
|
isPublished |
Type: boolean |
|
language |
Type: string Example: |
|
name |
Type: string Example: |
|
service |
Type: string Example: |
|
statement |
Type: string Example: |
|
tags |
Type: DataCatalogLinkedTag[] Example
|
|
termins |
Type: DataCatalogLinkedEntity[] Example
|
|
updatedAt |
Type: Timestamp Example
|
|
urn |
Type: string Example: |
Example
{
"datacatalogId": "example",
"name": "example",
"createdAt": {
"seconds": "example",
"nanos": 0.5
},
"updatedAt": null,
"urn": "example",
"description": "example",
"documetation": "example",
"tags": [
{
"id": "example",
"name": "example",
"isAiLinked": true,
"isDspm": true
}
],
"termins": [
{
"id": "example",
"name": "example",
"isAiLinked": true
}
],
"domain": null,
"service": "example",
"isDocumentationAiGenerated": true,
"statement": "example",
"language": "example",
"isNameAiGenerated": true,
"isPublished": true
}
DataCatalogDetailedSearchResult
Any of 9 types
-
Type: object
asset
Type: DataCatalogAssetConsoleView
Example
{ "datacatalogId": "example", "name": "example", "createdAt": { "seconds": "example", "nanos": 0.5 }, "updatedAt": null, "urn": "example", "description": "example", "documetation": "example", "tags": [ { "id": "example", "name": "example", "isAiLinked": true, "isDspm": true } ], "termins": [ { "id": "example", "name": "example", "isAiLinked": true } ], "domain": null, "service": "example", "isDocumentationAiGenerated": true, "parent": { "urn": "example", "name": "example" }, "path": [ null ], "type": { "type": "example", "name": "example" }, "payload": "example", "majorVersion": "example", "minorVersion": "example", "ingestionIds": [ "example" ], "ingestionSourceIds": [ "example" ], "lastIngestionAt": null, "subTypes": [ null ], "assetTypeSpecificInfo": "query", "query": { "text": "example", "language": "example", "isPublished": true } }childrenCount
Type: string
Number of direct child resources.
Example:
exampledetailedObject
Type: string
Const:
assetExample:
exampleExample
{ "childrenCount": "example", "detailedObject": "asset", "asset": { "datacatalogId": "example", "name": "example", "createdAt": { "seconds": "example", "nanos": 0.5 }, "updatedAt": null, "urn": "example", "description": "example", "documetation": "example", "tags": [ { "id": "example", "name": "example", "isAiLinked": true, "isDspm": true } ], "termins": [ { "id": "example", "name": "example", "isAiLinked": true } ], "domain": null, "service": "example", "isDocumentationAiGenerated": true, "parent": { "urn": "example", "name": "example" }, "path": [ null ], "type": { "type": "example", "name": "example" }, "payload": "example", "majorVersion": "example", "minorVersion": "example", "ingestionIds": [ "example" ], "ingestionSourceIds": [ "example" ], "lastIngestionAt": null, "subTypes": [ null ], "assetTypeSpecificInfo": "query", "query": { "text": "example", "language": "example", "isPublished": true } } } -
Type: object
childrenCount
Type: string
Number of direct child resources.
Example:
exampledatastore
Type: DataCatalogDataStoreConsoleView
Example
{ "datacatalogId": "example", "name": "example", "createdAt": { "seconds": "example", "nanos": 0.5 }, "updatedAt": null, "id": "example", "ingestedDescription": "example", "userDefinedDescription": "example", "cluster": { "installationType": "INSTALLATION_TYPE_UNSPECIFIED", "dbType": "DB_TYPE_UNSPECIFIED", "info": "clusterId", "clusterId": "example" }, "ingestionSourceCount": "example", "ingestionCount": "example", "tags": [ { "id": "example", "name": "example", "isAiLinked": true, "isDspm": true } ], "termins": [ { "id": "example", "name": "example", "isAiLinked": true } ], "domain": null, "isDocumentationAiGenerated": true }detailedObject
Type: string
Const:
datastoreExample:
exampleExample
{ "childrenCount": "example", "detailedObject": "datastore", "datastore": { "datacatalogId": "example", "name": "example", "createdAt": { "seconds": "example", "nanos": 0.5 }, "updatedAt": null, "id": "example", "ingestedDescription": "example", "userDefinedDescription": "example", "cluster": { "installationType": "INSTALLATION_TYPE_UNSPECIFIED", "dbType": "DB_TYPE_UNSPECIFIED", "info": "clusterId", "clusterId": "example" }, "ingestionSourceCount": "example", "ingestionCount": "example", "tags": [ { "id": "example", "name": "example", "isAiLinked": true, "isDspm": true } ], "termins": [ { "id": "example", "name": "example", "isAiLinked": true } ], "domain": null, "isDocumentationAiGenerated": true } } -
Type: object
childrenCount
Type: string
Number of direct child resources.
Example:
exampledetailedObject
Type: string
Const:
domainExample:
exampledomain
Type: DataCatalogDomainConsoleView
Example
{ "datacatalogId": "example", "name": "example", "createdAt": { "seconds": "example", "nanos": 0.5 }, "updatedAt": null, "id": "example", "description": "example", "createdBy": "example", "assetsCount": "example", "aiGenerated": true, "rules": "example", "parentDomainId": "example", "subdomainsCount": "example", "tags": [ { "id": "example", "name": "example", "isAiLinked": true, "isDspm": true } ] }Example
{ "childrenCount": "example", "detailedObject": "domain", "domain": { "datacatalogId": "example", "name": "example", "createdAt": { "seconds": "example", "nanos": 0.5 }, "updatedAt": null, "id": "example", "description": "example", "createdBy": "example", "assetsCount": "example", "aiGenerated": true, "rules": "example", "parentDomainId": "example", "subdomainsCount": "example", "tags": [ { "id": "example", "name": "example", "isAiLinked": true, "isDspm": true } ] } } -
Type: object
childrenCount
Type: string
Number of direct child resources.
Example:
exampledetailedObject
Type: string
Const:
tagExample:
exampletag
Type: DataCatalogTagConsoleView
Example
{ "datacatalogId": "example", "name": "example", "createdAt": { "seconds": "example", "nanos": 0.5 }, "updatedAt": null, "id": "example", "description": "example", "createdBy": "example", "assetsCount": "example", "aiGenerated": true, "rules": "example", "classificationId": "example", "isDspm": true }Example
{ "childrenCount": "example", "detailedObject": "tag", "tag": { "datacatalogId": "example", "name": "example", "createdAt": { "seconds": "example", "nanos": 0.5 }, "updatedAt": null, "id": "example", "description": "example", "createdBy": "example", "assetsCount": "example", "aiGenerated": true, "rules": "example", "classificationId": "example", "isDspm": true } } -
Type: object
childrenCount
Type: string
Number of direct child resources.
Example:
exampledetailedObject
Type: string
Const:
glossaryExample:
exampleglossary
Type: DataCatalogGlossaryConsoleView
Example
{ "datacatalogId": "example", "name": "example", "createdAt": { "seconds": "example", "nanos": 0.5 }, "updatedAt": null, "id": "example", "description": "example", "createdBy": "example", "assetsCount": "example", "aiGenerated": true, "rules": "example", "tags": [ { "id": "example", "name": "example", "isAiLinked": true, "isDspm": true } ], "termsCount": "example" }Example
{ "childrenCount": "example", "detailedObject": "glossary", "glossary": { "datacatalogId": "example", "name": "example", "createdAt": { "seconds": "example", "nanos": 0.5 }, "updatedAt": null, "id": "example", "description": "example", "createdBy": "example", "assetsCount": "example", "aiGenerated": true, "rules": "example", "tags": [ { "id": "example", "name": "example", "isAiLinked": true, "isDspm": true } ], "termsCount": "example" } } -
Type: object
childrenCount
Type: string
Number of direct child resources.
Example:
exampleclassification
Type: DataCatalogClassificationConsoleView
Example
{ "datacatalogId": "example", "name": "example", "createdAt": { "seconds": "example", "nanos": 0.5 }, "updatedAt": null, "id": "example", "description": "example", "createdBy": "example", "assetsCount": "example", "aiGenerated": true, "rules": "example", "mutualExclusion": true, "tagsCount": "example" }detailedObject
Type: string
Const:
classificationExample:
exampleExample
{ "childrenCount": "example", "detailedObject": "classification", "classification": { "datacatalogId": "example", "name": "example", "createdAt": { "seconds": "example", "nanos": 0.5 }, "updatedAt": null, "id": "example", "description": "example", "createdBy": "example", "assetsCount": "example", "aiGenerated": true, "rules": "example", "mutualExclusion": true, "tagsCount": "example" } } -
Type: object
childrenCount
Type: string
Number of direct child resources.
Example:
exampledetailedObject
Type: string
Const:
termExample:
exampleterm
Type: DataCatalogTermConsoleView
Example
{ "datacatalogId": "example", "name": "example", "createdAt": { "seconds": "example", "nanos": 0.5 }, "updatedAt": null, "id": "example", "description": "example", "createdBy": "example", "assetsCount": "example", "aiGenerated": true, "rules": "example", "glossaryId": "example", "parentTermId": "example", "childCount": "example", "connectedTerms": [ { "id": "example", "name": "example", "isAiLinked": true } ], "synonyms": [ "example" ], "tags": [ { "id": "example", "name": "example", "isAiLinked": true, "isDspm": true } ] }Example
{ "childrenCount": "example", "detailedObject": "term", "term": { "datacatalogId": "example", "name": "example", "createdAt": { "seconds": "example", "nanos": 0.5 }, "updatedAt": null, "id": "example", "description": "example", "createdBy": "example", "assetsCount": "example", "aiGenerated": true, "rules": "example", "glossaryId": "example", "parentTermId": "example", "childCount": "example", "connectedTerms": [ { "id": "example", "name": "example", "isAiLinked": true } ], "synonyms": [ "example" ], "tags": [ { "id": "example", "name": "example", "isAiLinked": true, "isDspm": true } ] } } -
Type: object
childrenCount
Type: string
Number of direct child resources.
Example:
exampledetailedObject
Type: string
Const:
queryExample:
examplequery
Type: DataCatalogQueryView
Example
{ "datacatalogId": "example", "name": "example", "createdAt": { "seconds": "example", "nanos": 0.5 }, "updatedAt": null, "urn": "example", "description": "example", "documetation": "example", "tags": [ { "id": "example", "name": "example", "isAiLinked": true, "isDspm": true } ], "termins": [ { "id": "example", "name": "example", "isAiLinked": true } ], "domain": null, "service": "example", "isDocumentationAiGenerated": true, "statement": "example", "language": "example", "isNameAiGenerated": true, "isPublished": true }Example
{ "childrenCount": "example", "detailedObject": "query", "query": { "datacatalogId": "example", "name": "example", "createdAt": { "seconds": "example", "nanos": 0.5 }, "updatedAt": null, "urn": "example", "description": "example", "documetation": "example", "tags": [ { "id": "example", "name": "example", "isAiLinked": true, "isDspm": true } ], "termins": [ { "id": "example", "name": "example", "isAiLinked": true } ], "domain": null, "service": "example", "isDocumentationAiGenerated": true, "statement": "example", "language": "example", "isNameAiGenerated": true, "isPublished": true } } -
Type: object
childrenCount
Type: string
Number of direct child resources.
Example:
exampleExample
{ "childrenCount": "example" }
Example
{
"childrenCount": "example",
"detailedObject": "asset",
"asset": {
"datacatalogId": "example",
"name": "example",
"createdAt": {
"seconds": "example",
"nanos": 0.5
},
"updatedAt": null,
"urn": "example",
"description": "example",
"documetation": "example",
"tags": [
{}
],
"termins": [
{}
],
"domain": null,
"service": "example",
"isDocumentationAiGenerated": true,
"parent": {
"urn": "example",
"name": "example"
},
"path": [
null
],
"type": {
"type": "example",
"name": "example"
},
"payload": "example",
"majorVersion": "example",
"minorVersion": "example",
"ingestionIds": [
"example"
],
"ingestionSourceIds": [
"example"
],
"lastIngestionAt": null,
"subTypes": [
null
],
"assetTypeSpecificInfo": "query",
"query": {
"text": "example",
"language": "example",
"isPublished": true
}
}
}